#include <math.h>
#include <VRS51L3074_SDCC.h>

#include "pics.h"
#include "lowlevel.h"
#include "highlevel.h"


//;-------------------------------------------------------------------
//;- DELAY1MSTO : 1MS DELAY USING TIMER0
//; CALIBRATED FOR 40MHZ
//;-------------------------------------------------------------------
void delay(unsigned int dlais){
idata unsigned char x=0;
idata unsigned int dlaisloop;
x = PERIPHEN1; //LOAD PERIPHEN1 REG
x |= 0x01; //ENABLE TIMER 0
PERIPHEN1 = x;
dlaisloop = dlais;
while ( dlaisloop > 0)
{
TH0 = 0x63; //TIMER0 RELOAD VALUE FOR 1MS AT 40MHZ
TL0 = 0xC0;
T0T1CLKCFG = 0x00; //NO PRESCALER FOR TIMER 0 CLOCK
T0CON = 0x04; //START TIMER 0, COUNT UP
do{
x=T0CON;
x= x & 0x80;
}while(x==0);
T0CON = 0x00; //Stop Timer 0
dlaisloop = dlaisloop-1;
}//end of while dlais...
x = PERIPHEN1; //LOAD PERIPHEN1 REG
x = x & 0xFE; //DISABLEBLE TIMER 0
PERIPHEN1 = x;
}//End of function delais

#define MsDelay(a) delay(a)

/* MAIN PROGRAM */

main()
{
int i;
extern __code unsigned char Cika[],Ramtron[];


	LCD_init();

        while(1){

		LCD_clear();
		MsDelay ( 3000 );						// wait 3 secs
		LCD_fill(0xFF);						// black fill
		MsDelay ( 3000 );						// wait 3 secs
		LCD_clear();

		for(i=0;i<128;i++)
			LCD_plot(i,32); 					// x axis
		for(i=0;i<64;i++)
			LCD_plot(64,i); 					// y axis
		for(i=-64;i<63;i++)
			LCD_plot(64+i,32-(int)(32*(cosf(i*PI/64)))); // plot sin(x); 0,0 is at top left
		LCD_printat(0,0,"cos(x)");
		MsDelay ( 3000 );						// wait 3 secs
		LCD_dump(Cika);	
		MsDelay ( 3000 );						// wait 3 secs
		LCD_dump(Ramtron);	
		LCD_printat(7,2,"Cika Electronica");
		LCD_printat(0,0,"Ramtron Int Corp");
		MsDelay ( 3000 );						// wait 3 secs
	}
}
